Bug 103729 - Perls reports "undefined symbol" when running with debug option
Perls reports "undefined symbol" when running with debug option
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
http://archive.develooper.com/perl5-p...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 09:38 EDT by Christian Franck
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 06:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch to fix the problem (586 bytes, patch)
2003-09-04 09:43 EDT, Christian Franck
no flags Details | Diff

  None (edit)
Description Christian Franck 2003-09-04 09:38:35 EDT
Description of problem: (perl-5.6.1-34.99.6.rpm 

$ make test
PERL_DL_NONLAZY=1 /usr/bin/perl -Iblib/arch -Iblib/lib
-I/usr/lib/perl5/5.6.1/i386-linux -I/usr/lib/perl5/5.6.1 test.pl
1..1
# Running under perl version 5.006001 for linux
# Current time local: Tue Sep  2 08:32:00 2003
# Current time GMT:   Tue Sep  2 06:32:00 2003
# Using Test.pm version 1.24
Can't load '/usr/lib/perl5/5.6.1/i386-linux/auto/re/re.so' for module re:
/usr/lib/perl5/5.6.1/i386-linux/auto/re/re.so:
 undefined symbol: Perl_deb at /usr/lib/perl5/5.6.1/i386-linux/XSLoader.pm
line 75.
 at /usr/lib/perl5/5.6.1/i386-linux/re.pm line 109
BEGIN failed--compilation aborted at test.pl line 18.
make: *** [test_dynamic] Error 255

To reproduce launch the following commands:

$ h2xs -A -C -X -b 5.6.1 -v 1.00 -n XYZ
Writing XYZ/XYZ.pm
Writing XYZ/Makefile.PL
Writing XYZ/README
Writing XYZ/test.pl
Writing XYZ/MANIFEST
$ cd XYZ
$ echo "use re debug;" >> test.pl
$ perl Makefile.PL
Checking if your kit is complete...
Looks good
Writing Makefile for XYZ
$ make
cp XYZ.pm blib/lib/XYZ.pm
Manifying blib/man3/XYZ.3pm
$ make test
PERL_DL_NONLAZY=1 /usr/bin/perl -Iblib/arch -Iblib/lib
-I/usr/lib/perl5/5.6.1/i386-linux -I/usr/lib/perl5/5.6.1 test.pl
1..1
# Running under perl version 5.006001 for linux
# Current time local: Tue Sep  2 08:32:00 2003
# Current time GMT:   Tue Sep  2 06:32:00 2003
# Using Test.pm version 1.24
Can't load '/usr/lib/perl5/5.6.1/i386-linux/auto/re/re.so' for module re:
/usr/lib/perl5/5.6.1/i386-linux/auto/re/re.so:
 undefined symbol: Perl_deb at /usr/lib/perl5/5.6.1/i386-linux/XSLoader.pm
line 75.
 at /usr/lib/perl5/5.6.1/i386-linux/re.pm line 109
BEGIN failed--compilation aborted at test.pl line 18.
make: *** [test_dynamic] Error 255

This is expected:

$ make test
PERL_DL_NONLAZY=1 /usr/bin/perl -Iblib/arch -Iblib/lib -
I/usr/lib/perl5/5.6.1/i386-linux -I/usr/lib/perl5/5.6.1 test.pl
1..1
ok 1
Comment 1 Christian Franck 2003-09-04 09:43:29 EDT
Created attachment 94198 [details]
proposed patch to fix the problem

I patched an rebuilt both src and bin rpm file perl-5.6.1-34.99 using
http://archive.develooper.com/perl5-porters@perl.org/msg58564.html
and got a working perl 5.6.1

The URL is http://archive.develooper.com/perl5-porters@perl.org/msg58564.html

Note You need to log in before you can comment on or make changes to this bug.